Subject: Re: [PATCH] Revert "kconfig: Temporarily disable dependency warnings"

From: Randy Dunlap <[email-masked]>
Date: Sun, 21 Nov 2010 18:09:41 -0800

On Sun, 21 Nov 2010 20:58:54 -0500 Arnaud Lacombe wrote:

> Hi,
> 
> On Sun, Nov 21, 2010 at 7:48 PM, Stephen Rothwell <[email-masked]> wrote:
> > On Fri, 29 Oct 2010 11:37:31 +1100 Stephen Rothwell <[email-masked]> wrote:
> >>
> >> On Tue, 12 Oct 2010 15:19:46 +0200 Michal Marek <[email-masked]> wrote:
> >> >
> >> > This reverts commit 71ebc01, which was a 2.6.36-only stopgap solution.
> >>
> >> I was hoping that we would have the number of these warnings down to
> >> something reasonable before this revert made it into Linus' tree ...
> >>
> >> I guess fixing the V4L stuff will become a bit more urgent, now :-)
> >
> > Is there any chance that the V4L kconfig warnings will be fixed?  It is
> > quite irritating for those of us who do allmodconfig (and allyesconfig)
> > builds ...
> >
> There is 2 patches which fixes that by adding to the kconfig language
> a "visible" property to menus, 1 revert of "another" solution (which
> works but does not scale) and 2 patch which makes usage of the new
> property. Ack-ed and complemented by Mauro, but still waiting
> review/blessing by Michal.
> 
> The core change is available here: https://patchwork.kernel.org/patch/306412/
> 
> Alternatively, if you don't care about the menu structure, Randy
> proposed a one-liner.

which Mauro nacked.

I don't care about the menu structure, I just want to eliminate the
warnings.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***
--
To unsubscribe from this list: send the line "unsubscribe linux-kbuild" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html